post
https://de1.api.central.arubanetworks.com/network-reporting/v1/reports
This API endpoint allows users to generate reports based on report-specific filters, report periods, and scheduling options. Reports can be scheduled for one-time or recurring execution and sent by email in multiple formats.
General Parameters
| Parameter | Description | Required |
|---|---|---|
| name | Name of the report. | true |
| type | Type of the report. Refer Report Type for more details. | true |
| timeZone | User time zone in IANA format (for example, America/New_York). | true |
| filters | Filters applied to refine report data. Refer Report Filter for more details. | true |
| reportPeriod | Time range defining the report data scope. Refer Report Period for more details. | true |
| reportSchedule | Defines how often the report is generated. Refer Report Schedule for more details. | true |
| Email recipients and report output formats. | false |
Report Type
The following report types and filter mappings are derived from Reports Metadata.
| Report Name | Report Type | Supported Filters |
|---|---|---|
| Application Analytics | appAnalytics | appCategories, connectionType, deviceTypes, scope, sites |
| Capacity Planning | capacityPlanning | connectionType, deviceTypes, excludeDevices, gatewayCapacityThreshold, gatewayPercentageOfTimeGreaterThanThreshold, includeDevices, scope, sites, switchCapacityThreshold, switchPercentageOfTimeGreaterThanThreshold |
| Client Inventory | clientInventory | connectionType, deviceTypes, excludeDevices, excludeUCClients, includeDevices, includeUCClients, includeUCModelOs, includeUCRole, includeUCSSIDs, includeUCVendor, scope, sites |
| Client Session | clientSession | connectionType, deviceTypes, excludeDevices, excludeUCClients, includeDevices, includeUCClients, includeUCModelOs, includeUCRole, includeUCSSIDs, includeUCVendor, scope, sites |
| Device Uptime | deviceUptime | deviceTypes, excludeDevices, includeDevices, scope, sites |
| Licenses | licenses | scope (global only) |
| MSP Customer (For MSP Customers) | mspcustomer | deviceOwnership, scope (global only) |
| MSP Inventory (For MSP Customers) | mspinventory | scope (global only) |
| MSP License (For MSP Customers) | msplicense | scope (global only) |
| MSP Subscription (For MSP Customers) | mspsubscription | scope (global only) |
| Network Usage | networkUsage | deviceTypes, excludeDevices, excludeUCSSIDs, includeDevices, includeUCSSIDs, scope, sites |
| Resource Utilization | resourceUtilization | apCpuUtilThreshold, apMemoryUtilThreshold, deviceTypes, excludeDevices, gatewayCpuUtilThreshold, gatewayMemoryUtilThreshold, includeDevices, scope, sites, switchCpuUtilThreshold, switchMemoryUtilThreshold |
| RF Health | rfHealth | excludeDevices, includeDevices, radioFrequency, scope, sites |
| Security Compliance | securityCompliance | scope (global only) |
| Visitor | visitor | scope, ssids |
| WIDS | wids | scope, sites |
| Custom | custom | Filter support varies with respect to KPI selection. Refer Reports Metadata API |
Report Filter
| Filter Name | Filter Type | Description | Required |
|---|---|---|---|
| Scope | scope | Scope filter for report. Allowed values are global and sites. | true if applicable |
| Sites | sites | Site IDs filter for report. | true if scope is sites |
| Device Types | deviceTypes | Device type filter. Allowed values: access_points, switches, gateways. | true if applicable |
| Connection Type | connectionType | Connection type filter. Allowed values: wired, wireless, all. | true if applicable |
| Device Ownership | deviceOwnership | Device ownership type filter. Allowed values: MSP, CUSTOMER. | true if applicable |
| Application Categories | appCategories | Application category filter. Allowed values from metadata (for example, Any). | true if applicable |
| Radio Frequency | radioFrequency | Frequency band filter. Allowed values: 2.4GHz, 5GHz, 6GHz. | true if applicable |
| SSID | ssids | SSID values used for visitor reports. | true if applicable |
| Include Devices | includeDevices | Device serial numbers to include in report output. | false |
| Exclude Devices | excludeDevices | Device serial numbers to exclude from report output. | false |
| Include Unified Clients | includeUCClients | Unified client identifiers to include. | false |
| Exclude Unified Clients | excludeUCClients | Unified client identifiers to exclude. | false |
| Include Unified Client Vendor | includeUCVendor | Unified client vendor values to include. | false |
| Include Unified Client Model/OS | includeUCModelOs | Unified client model or OS values to include. | false |
| Include Unified Client Role | includeUCRole | Unified client role values to include. | false |
| Include Unified Client SSIDs | includeUCSSIDs | Unified client SSIDs to include. | false |
| Exclude Unified Client SSIDs | excludeUCSSIDs | Unified client SSIDs to exclude. | false |
| AP CPU Utilization Threshold | apCpuUtilThreshold | AP CPU utilization threshold filter. Range: 0-100 (default: 70). | false |
| Switch CPU Utilization Threshold | switchCpuUtilThreshold | Switch CPU utilization threshold filter. Range: 0-100 (default: 70). | false |
| Gateway CPU Utilization Threshold | gatewayCpuUtilThreshold | Gateway CPU utilization threshold filter. Range: 0-100 (default: 70). | false |
| AP Memory Utilization Threshold | apMemoryUtilThreshold | AP memory utilization threshold filter. Range: 0-100 (default: 70). | false |
| Switch Memory Utilization Threshold | switchMemoryUtilThreshold | Switch memory utilization threshold filter. Range: 0-100 (default: 70). | false |
| Gateway Memory Utilization Threshold | gatewayMemoryUtilThreshold | Gateway memory utilization threshold filter. Range: 0-100 (default: 70). | false |
| Switch Capacity Threshold | switchCapacityThreshold | Switch capacity threshold filter. Range: 0-99 (default: 40). | false |
| Switch Percentage Of Time Greater Than Threshold | switchPercentageOfTimeGreaterThanThreshold | Percentage of time switch exceeds threshold. Range: 0-99 (default: 25). | false |
| Gateway Capacity Threshold | gatewayCapacityThreshold | Gateway capacity threshold filter. | false |
| Gateway Percentage Of Time Greater Than Threshold | gatewayPercentageOfTimeGreaterThanThreshold | Percentage of time gateway exceeds threshold. | false |
Report Period
| Report Period | Allowed Fields | Allowed Schedules |
|---|---|---|
| SNAPSHOT | None | ONE_TIME, EVERY_DAY, EVERY_WEEK, EVERY_MONTH |
| LAST_DAY | sliceTime | ONE_TIME, EVERY_DAY |
| LAST_WEEK | sliceTime, sliceDays | ONE_TIME, EVERY_WEEK, EVERY_MONTH |
| LAST_MONTH | sliceTime, sliceDays | ONE_TIME, EVERY_MONTH |
| CUSTOM_RANGE | from, to timestamps (without sliceDays or sliceTime) | ONE_TIME |
sliceTime and sliceDays are applicable only for resourceUtilization and capacityPlanning report types.
Report Schedule
| Schedule Type | Required Fields | Applicable Report Periods |
|---|---|---|
| ONE_TIME | None | All report periods |
| EVERY_DAY | startDate, endDate | LAST_DAY |
| EVERY_WEEK | startDate, endDate | LAST_WEEK |
| EVERY_MONTH | startDate, endDate | LAST_WEEK, LAST_MONTH |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…